/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/


/* Global CSS */
/* BUTTON CSS  */
.elementor-button::before {
	content: "";
	background: var( --e-global-color-primary );
	position: absolute;
	right: 0;
	bottom: 0;
	z-index: 2;
	transform: translateX(-50%) rotate(-10deg);
	transition: 0.5s;
	width: 210%;
	height: 290%;
	top: -350%;
	left: 50%;
}
.elementor-button {
  position: relative !important;
  overflow: hidden !important;
}
.elementor-button > span {
  position: relative;
  z-index: 9;
}
.elementor-button:hover::before {
	top: -80%;
}

.add_to_cart_button, .single_add_to_cart_button, .wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained, .added_to_cart.added_to_quote.wc-forward.button{
	background: transparent !important;
	border: 1px solid var( --e-global-color-primary ) !important;
	text-transform: uppercase;
	color: #fff !important;
	font-family: "Oxanium", Sans-serif;
	font-size: 20px !important;
	font-weight: 400 !important;
	transition: 0.5s;
}

.add_to_cart_button:hover, .single_add_to_cart_button:hover, .wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained:hover,
.wc-block-components-button.wp-element-button.wc-block-components-checkout-place-order-button.contained:hover,
.added_to_cart.added_to_quote.wc-forward.button:hover{
	background:var( --e-global-color-primary ) !important;
}

.wc-block-components-product-name {
	color: #fff;
}

.wc-block-components-product-name:hover {
	color:var( --e-global-color-primary ) !important
}


/* IMAGE REVEL */
.reveal.elementor-widget-image {
	overflow: hidden !important;
  	transition: none !important;
}

.reveal.elementor-widget-image  img{
	transition: none !important;
}

.reveal.left img,
.reveal.right img,
.reveal.up img,
.reveal.down img {
  will-change: transform;
}

/*IMAGE FOCUS-IN*/
 .focus-in {
/*   visibility: hidden; */
/*   overflow: hidden; */
}

.focus-in img {
  width: 100%;
  height: auto;
}


